POST ticket/clubcard/payOrder/{appId}/{auth}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| appId | integer |
Required |
|
| auth | string |
Required |
Body Parameters
PayOOrdeByClubcardRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| clubcardId | globally unique identifier |
None. |
|
| orderId | globally unique identifier |
None. |
|
| transactionId | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"clubcardId": "00bee3e2-af23-4cc1-96ce-cb82b9391d5a",
"orderId": "bc46eb7a-b1b0-4a37-8bcf-64cc30a0beb5",
"transactionId": "sample string 3"
}
application/xml, text/xml
Sample:
<PayOOrdeByClubcardRequest xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models"> <clubcardId>00bee3e2-af23-4cc1-96ce-cb82b9391d5a</clubcardId> <orderId>bc46eb7a-b1b0-4a37-8bcf-64cc30a0beb5</orderId> <transactionId>sample string 3</transactionId> </PayOOrdeByClubcardRequest>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
PayByClubcardResponse| Name | Description | Type | Additional information |
|---|---|---|---|
| result | ClubcardResult |
None. |
|
| itemType | integer |
None. |
|
| objectId | globally unique identifier |
None. |
|
| paymentId | globally unique identifier |
None. |
|
| downloadPage | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"result": {
"code": 0,
"message": "sample string 1"
},
"itemType": 1,
"objectId": "faeffa68-1117-4947-9923-2a0cf3a70a94",
"paymentId": "33bfe5e4-6813-4a86-8627-65a156a13d40",
"downloadPage": "sample string 4"
}
application/xml, text/xml
Sample:
<PayByClubcardResponse xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/Tiszamozi_API.Models">
<downloadPage>sample string 4</downloadPage>
<itemType>1</itemType>
<objectId>faeffa68-1117-4947-9923-2a0cf3a70a94</objectId>
<paymentId>33bfe5e4-6813-4a86-8627-65a156a13d40</paymentId>
<result>
<code>OK</code>
<message>sample string 1</message>
</result>
</PayByClubcardResponse>